Bug 996366 - SY does not provide interface information on IN part of exchange
SY does not provide interface information on IN part of exchange
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks: 996010
  Show dependency treegraph
 
Reported: 2013-08-13 00:30 EDT by Jiri Pechanec
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 12:31:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-08-13 00:30:43 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=996010#c3 for more details
Comment 1 Keith Babo 2013-08-20 12:31:58 EDT
At the point the exchange is initiated, the consumer has been identified, but the provider has not (that's assigned in the addressing handler).  This means the consumer's contract information *is* present on the exchange.  This holds true inbound or outbound, in-only or in-out.

Note You need to log in before you can comment on or make changes to this bug.